#include "CWCsb.h"
#include "tinyxml2/tinyxml2.h"
#include <sstream>
#include <iostream>
#include <iomanip>
#include "cocostudio/CocoStudio.h"
using namespace cocos2d;
using namespace ui;

namespace cocos2d{ namespace ui{
	CWCsb* CWCsb::create()
{
	CWCsb *pRet = new CWCsb();
	if (pRet && pRet->init())
	{
		pRet->autorelease();
		return pRet;
	}
	else
	{
		delete pRet;
		pRet = nullptr;
		return nullptr;
	}
}

	CWCsb::CWCsb()
	{
		m_node = nullptr;
	}

	CWCsb::~CWCsb()
	{

	}

	bool CWCsb::init()
	{
		if (!Widget::init())
		{
			return false;
		}

		return true;
	}

	void CWCsb::setCsbFile(const std::string& name)
	{
		m_CsbFile = name;
		formatString();
	}

	const std::string& CWCsb::getCsbFile() const
	{
		return m_CsbFile;
	}

	void CWCsb::formatString()
	{
		if (m_node != nullptr)
		{
			m_node->removeFromParent();
			m_node = nullptr;
		}
		if (m_CsbFile != "")
		{
			m_node = CSLoader::getInstance()->createNodeWithFlatBuffersFile(m_CsbFile.c_str());
			auto node = m_node->getChildren().at(0);
			Size size = node->getContentSize();
			this->setContentSize(size);
			m_node->setPosition(Vec2(size.width / 2, size.height/2));
			this->addChild(m_node);
			
		}
	}
} }